From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/warzone2100/
Date: Mon, 27 Dec 2021 00:35:22 +0000 (UTC) [thread overview]
Message-ID: <1640565320.299bfd8a0935caf18c18a19411915cad25d8dc22.polynomial-c@gentoo> (raw)
commit: 299bfd8a0935caf18c18a19411915cad25d8dc22
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 27 00:33:15 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Dec 27 00:35:20 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=299bfd8a
games-strategy/warzone2100: Bump to version 4.2.4
which fixes build with USE="vulkan"
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
games-strategy/warzone2100/Manifest | 1 +
.../warzone2100/warzone2100-4.2.4.ebuild | 116 +++++++++++++++++++++
2 files changed, 117 insertions(+)
diff --git a/games-strategy/warzone2100/Manifest b/games-strategy/warzone2100/Manifest
index 2a2ed6302d9b..06b8318d9b39 100644
--- a/games-strategy/warzone2100/Manifest
+++ b/games-strategy/warzone2100/Manifest
@@ -1,4 +1,5 @@
DIST warzone2100-4.1.3.tar.xz 337479212 BLAKE2B 07d1788fc2f8e5073a15231d5bf0c8c50dc0413522ea1589b064190144906fb58008faab66a295cec7759a1036f4d007ef8a42cffd9ef588fde1116b6cd7a38b SHA512 64126a1a5aab8b766cdfc70b8d96465ad451bd6a31e33be963eb89664b062dfe58e195ac3cbc087a9c008519c0e13003d9750bcb428b0e0ff12c82bf9940be3f
DIST warzone2100-4.2.0.tar.xz 338587136 BLAKE2B e29147ce573c7a07e0ab856b1c74000bfc866437784e314393335d21e735fb78fcdbe71aa19f9c806f280f0ca2d33aff15815a09971c9e5ab85cf8b31e9a7864 SHA512 d2dfb8f2710493cbdacb01ca26cf69b476ad906f4851bc384a7a506a37bc296c2bd2e8c464f1a7a86e50924c66839459413d00c73031f9fe024afef8173c820c
DIST warzone2100-4.2.2.tar.xz 338585896 BLAKE2B e90ff6f5843a1750971a2cb7e77aac1e7c03ebeae90ea112d1eb735ea4a9cfee35de860e52f81824cde69543af6172ee630b6451ea39c141c188e4469f9200b9 SHA512 ea02207a27a01114daaf0819a98a63a5189570844dd69f50f493a1caafab7c05d85fb0d5c8a8b1b061ee3a050081e9786a1c090f4490134e93e8bbfa1903bd1b
+DIST warzone2100-4.2.4.tar.xz 338685080 BLAKE2B d83fc41d7bb7ff062ca6d3ce924c5e50560737b309db5a31e9fa81ed4dd5c079cf53aed472d1686daaa2e758583e79c3310575191e95d0b01d0f692786ff015f SHA512 26f470c137d9f53b759d182058080a07b7a505aa900fc0e6ff8349783564e0e298216f162032ff43c15f1e5811a8192e161498f87d8cc624a1a653a4044fcfb7
DIST warzone2100-videos-2.2.wz 571937134 BLAKE2B 60b70a71bd920e2d72ded5d519b17db2f3db4b0289edadeb58059a21aba7038b95219dc44cb807754461d1a9bdca60f0d7698be68622b8bd64a55efa949622d3 SHA512 ca1a1af51296afdaca137114821508c5783f077090e665eae0f6df895855f57c43f84434706309e819417f5f35d1c649bd14e96dc9fbbb1252d30a4f9a223cf6
diff --git a/games-strategy/warzone2100/warzone2100-4.2.4.ebuild b/games-strategy/warzone2100/warzone2100-4.2.4.ebuild
new file mode 100644
index 000000000000..e58fc5f270f8
--- /dev/null
+++ b/games-strategy/warzone2100/warzone2100-4.2.4.ebuild
@@ -0,0 +1,116 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="af_ZA bg_BG ca_ES cs da de el en_GB eo es et_EE fa_IR fi fr fy ga he_IL hr hu id_ID id it ko la lt nb nl pl pt_BR pt ro ru sk sl tr tt_RU uk_UA zh_CN zh_TW"
+inherit cmake plocale xdg
+
+MY_PV=$(ver_cut 1-2)
+VIDEOS_PV=2.2
+VIDEOS_P=${PN}-videos-${VIDEOS_PV}.wz
+DESCRIPTION="3D real-time strategy game"
+HOMEPAGE="https://wz2100.net/"
+SRC_URI="mirror://sourceforge/warzone2100/releases/${PV}/${PN}_src.tar.xz -> ${P}.tar.xz
+ videos? ( mirror://sourceforge/warzone2100/warzone2100/Videos/${VIDEOS_PV}/high-quality-en/sequences.wz -> ${VIDEOS_P} )"
+S="${WORKDIR}/${PN}"
+
+LICENSE="GPL-2+ CC-BY-SA-3.0 public-domain vulkan? ( GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Upstream requested debug support
+IUSE="debug discord nls videos vulkan"
+
+CDEPEND="
+ >=dev-games/physfs-2[zip]
+ dev-db/sqlite:3
+ >=dev-libs/libsodium-1.0.14:=
+ media-libs/freetype:2
+ media-libs/harfbuzz:=
+ media-libs/libogg
+ media-libs/libpng:=
+ media-libs/libsdl2[opengl,video,X]
+ media-libs/libtheora
+ media-libs/libvorbis
+ media-libs/openal
+ net-libs/miniupnpc:=
+ net-misc/curl
+ sys-libs/zlib
+ nls? ( virtual/libintl )
+ vulkan? ( media-libs/libsdl2:=[vulkan] )
+"
+DEPEND="
+ ${CDEPEND}
+ dev-libs/fribidi
+ media-libs/fontconfig
+"
+RDEPEND="
+ ${CDEPEND}
+ media-fonts/dejavu
+"
+BDEPEND="
+ app-arch/zip
+ app-text/asciidoc
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+"
+
+HTML_DOCS=( doc/quickstartguide.html doc/docbook-xsl.css doc/ScriptingManual.htm )
+DOCS=( README.md doc/images doc/Scripting.md doc/js-globals.md )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.1.3-no-compress-manpages.patch
+)
+
+src_unpack() {
+ unpack ${P}.tar.xz
+}
+
+src_prepare() {
+ sed -i -e 's/#top_builddir/top_builddir/' po/Makevars || die
+
+ # Delete translations we're not using
+ cleanup_po() {
+ local locale=${1}
+ einfo "Cleaning up disabled locale: ${locale}"
+ rm po/${locale}.po || die
+ }
+
+ plocale_for_each_disabled_locale cleanup_po
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWZ_DISTRIBUTOR="Gentoo Linux"
+ -DWZ_ENABLE_WARNINGS_AS_ERRORS=OFF
+ -DWZ_ENABLE_BACKEND_VULKAN=$(usex vulkan)
+ -DBUILD_SHARED_LIBS=OFF
+ -DENABLE_NLS=$(usex nls)
+ -DENABLE_DISCORD=$(usex discord)
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+
+ asciidoc -b html5 doc/quickstartguide.asciidoc || die
+}
+
+src_install() {
+ cmake_src_install
+
+ rm "${ED}"/usr/bin/.portable || die
+
+ # We cover licencing within the ebuild itself
+ rm "${ED}"/usr/share/doc/${PF}/COPYING* \
+ "${ED}"/usr/share/doc/${PF}/copyright || die
+
+ if use videos ; then
+ insinto /usr/share/${PN}
+ newins "${DISTDIR}"/${VIDEOS_P} sequences.wz
+ fi
+}
next reply other threads:[~2021-12-27 0:35 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-12-27 0:35 Lars Wendler [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-03-01 7:55 [gentoo-commits] repo/gentoo:master commit in: games-strategy/warzone2100/ Sam James
2024-03-01 7:55 Sam James
2023-11-30 3:07 Sam James
2023-11-09 14:26 Sam James
2023-11-09 10:24 Sam James
2023-05-23 2:52 Sam James
2023-04-25 21:25 Sam James
2023-04-18 4:29 Sam James
2023-03-27 2:15 Sam James
2023-03-22 5:43 Sam James
2023-01-28 9:29 Arthur Zamarin
2023-01-28 5:11 Sam James
2023-01-22 2:25 Sam James
2023-01-22 1:39 Sam James
2022-11-03 6:35 Sam James
2022-11-03 6:35 Sam James
2022-08-27 7:43 Sam James
2022-08-11 7:37 Ionen Wolkens
2022-03-02 3:04 Sam James
2021-12-27 0:35 Lars Wendler
2021-11-24 1:43 Sam James
2021-10-27 7:22 Sam James
2021-09-12 20:20 Ionen Wolkens
2021-09-12 20:20 Ionen Wolkens
2021-08-17 21:29 Sam James
2021-08-17 16:45 Sam James
2021-08-17 16:43 Sam James
2021-08-17 16:42 Sam James
2021-08-15 12:45 Lars Wendler
2021-08-14 3:53 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-14 3:48 Sam James
2021-08-09 22:21 Sam James
2021-08-06 12:58 Sam James
2021-06-23 2:24 Ionen Wolkens
2021-04-20 13:45 Sam James
2021-04-04 12:38 Sam James
2021-01-14 14:15 Sam James
2021-01-14 14:13 Sam James
2021-01-14 14:13 Sam James
2020-06-27 20:51 Aaron Bauman
2019-08-06 21:32 Lars Wendler
2018-05-06 19:03 Matt Turner
2017-09-21 14:33 Michael Palimaka
2017-09-21 14:33 Michael Palimaka
2017-05-05 13:44 Lars Wendler
2017-04-26 9:44 Lars Wendler
2017-04-26 9:44 Lars Wendler
2016-12-12 8:41 Lars Wendler
2016-09-29 12:46 Lars Wendler
2016-09-26 10:41 Lars Wendler
2016-09-26 7:20 Lars Wendler
2016-09-26 7:20 Lars Wendler
2016-08-05 0:23 Austin English
2016-06-07 22:27 Michael Sterrett
2016-06-06 14:31 Agostino Sarubbo
2016-05-03 0:44 Michael Sterrett
2016-04-02 13:44 Agostino Sarubbo
2016-02-23 15:24 Michael Sterrett
2016-01-25 22:05 Michael Sterrett
2016-01-25 22:05 Michael Sterrett
2015-08-25 8:13 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1640565320.299bfd8a0935caf18c18a19411915cad25d8dc22.polynomial-c@gentoo \
--to=polynomial-c@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox